Bug 31063 - smp kernel crashes and destroys root fs
smp kernel crashes and destroys root fs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-08 06:52 EST by S. Backhausen
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-15 10:16:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (10.44 KB, text/plain)
2001-03-09 10:20 EST, S. Backhausen
no flags Details

  None (edit)
Description S. Backhausen 2001-03-08 06:52:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [de] (X11; U; Linux 2.2.18-5lan2 i686)


I tried the smp kernels 2.4.1-0.1.13 and 2.4.2-0.1.19 on a Dual PIII an and
it isnt even able to complete booting.  The kernel boot messages sometimes
say something like "hda lost interrupt" and when the system is mounting its
local filesystems, the system crashes and destroys some of the hda*-files
in /dev
The system works fine and stable with 2.2.17-smp kernel, I never
encountered encountered any fs-corruption with these kernels.

Reproducible: Always
Steps to Reproduce:
1. Install the 2.4.x-smp kernel 
2. reboot

	

Actual Results:  massive root fs corruption

Expected Results:  The system should complete booting without any fs
corruption

Hardware:
Asus CUV4X-D (Via VT82C694XDP Northbridge, VIA VT 82C686B Southbridge) 
2x Intel PIII-800EB
1x 256MB SDRAM PC133 Infineon
1x IBM DTTA-351010 on /dev/hda
1x Intel Ethernet Pro 100 (i82557)
1x Matrox Millenium II
Comment 1 Arjan van de Ven 2001-03-08 10:24:14 EST
Can you post the output of lspci -vxxx (done as root)?
(it's ok to do that in 2.2.17)
Comment 2 S. Backhausen 2001-03-08 10:39:01 EST
Yep, here it comes:
00:00.0 Host bridge: VIA Technologies, Inc. VT82C691 [Apollo PRO] (rev c4)
	Subsystem: Asustek Computer, Inc.: Unknown device 8038
	Flags: bus master, medium devsel, latency 0
	Memory at fc000000 (32-bit, prefetchable)
	Capabilities: [a0] AGP version 2.0
	Capabilities: [c0] Power Management version 2
00: 06 11 91 06 06 00 10 a2 c4 00 00 06 00 00 00 00
10: 08 00 00 fc 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 43 10 38 80
30: 00 00 00 00 a0 00 00 00 00 00 00 00 00 00 00 00
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
50: fc da c8 b6 04 00 10 10 80 00 08 10 10 10 10 10
60: 03 2a 00 a0 e6 95 95 95 43 3c 86 2f 18 5f 00 11
70: c0 88 cc 0c 0e a1 d2 00 00 b4 01 02 00 00 00 00
80: 0f 40 00 00 e0 00 00 00 03 80 4d 0f 70 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 02 c0 20 00 07 02 00 1f 00 00 00 00 6b 02 04 00
b0: 7f 63 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 01 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 01 00 00 00 00 00 00 04 00 00 00 00 00 00 00 00

00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598 [Apollo MVP3 AGP] (prog-if
00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Capabilities: [80] Power Management version 2
00: 06 11 98 85 07 00 30 22 00 00 04 06 00 00 01 00
10: 00 00 00 00 00 00 00 00 00 01 01 00 e0 d0 00 00
20: f0 f9 e0 f9 00 fc f0 fb 00 00 00 00 00 00 00 00
30: 00 00 00 00 80 00 00 00 00 00 00 00 00 00 00 00
40: c8 4d 00 44 04 72 00 00 00 00 00 00 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 01 00 02 02 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super] (rev 40)
	Subsystem: Asustek Computer, Inc.: Unknown device 8038
	Flags: bus master, stepping, medium devsel, latency 0
	Capabilities: [c0] Power Management version 2
00: 06 11 86 06 87 00 10 02 40 00 01 06 00 00 80 00
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 43 10 38 80
30: 00 00 00 00 c0 00 00 00 00 00 00 00 00 00 00 00
40: 08 01 00 00 00 80 60 a0 01 00 84 00 00 00 00 f3
50: 0e 76 34 00 00 b0 a0 00 00 04 ff 08 40 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 27 00 40 92 00 00 60 00 00 00 00 00
80: 00 00 00 00 00 0d 00 00 00 60 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 01 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 41 00 00 00 00 00 00 00 00 00

00:04.1 IDE interface: VIA Technologies, Inc. VT82C586 IDE [Apollo] (rev 06)
(prog-if 8a [Master SecP PriP])
	Flags: bus master, stepping, medium devsel, latency 32
	I/O ports at d800
	Capabilities: [c0] Power Management version 2
00: 06 11 71 05 87 00 90 02 06 8a 01 01 00 20 00 00
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
20: 01 d8 00 00 00 00 00 00 00 00 00 00 00 00 00 00
30: 00 00 00 00 c0 00 00 00 00 00 00 00 00 00 00 00
40: 0b f2 09 3a 1c 10 f0 00 a8 20 a8 20 ff 00 ff ff
50: 07 e4 17 f4 04 00 00 00 a8 a8 a8 a8 00 00 00 00
60: 00 02 00 00 00 00 00 00 00 02 00 00 00 00 00 00
70: 42 01 00 00 00 00 00 00 82 01 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 01 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 06 00 71 05 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:04.2 USB Controller: VIA Technologies, Inc. VT82C586B USB (rev 16) (prog-if
00 [UHCI])
	Subsystem: Unknown device 0925:1234
	Flags: bus master, medium devsel, latency 32, IRQ 18
	I/O ports at d400
	Capabilities: [80] Power Management version 2
00: 06 11 38 30 17 00 10 02 16 00 03 0c 08 20 00 00
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
20: 01 d4 00 00 00 00 00 00 00 00 00 00 25 09 34 12
30: 00 00 00 00 80 00 00 00 00 00 00 00 0a 04 00 00
40: 00 02 07 00 c2 00 30 0c 00 00 00 00 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 10 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 01 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:04.3 USB Controller: VIA Technologies, Inc. VT82C586B USB (rev 16) (prog-if
00 [UHCI])
	Subsystem: Unknown device 0925:1234
	Flags: bus master, medium devsel, latency 32, IRQ 18
	I/O ports at d000
	Capabilities: [80] Power Management version 2
00: 06 11 38 30 17 00 10 02 16 00 03 0c 08 20 00 00
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
20: 01 d0 00 00 00 00 00 00 00 00 00 00 25 09 34 12
30: 00 00 00 00 80 00 00 00 00 00 00 00 0a 04 00 00
40: 00 02 07 00 c6 00 00 c4 00 00 00 00 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 10 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 01 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:04.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev
40)
	Flags: medium devsel
	Capabilities: [68] Power Management version 2
00: 06 11 57 30 00 00 90 02 40 00 00 06 00 00 00 00
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
30: 00 00 00 00 68 00 00 00 00 00 00 00 00 00 00 00
40: 20 80 40 00 1a 00 00 00 01 e4 00 00 48 08 00 00
50: 00 ff ff 04 10 00 00 00 00 ff ff 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 01 00 02 00 00 00 00 00
70: 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 01 e8 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 01 00 00 00 40 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:0a.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
	Subsystem: Compaq Computer Corporation: Unknown device b144
	Flags: bus master, medium devsel, latency 32, IRQ 18
	Memory at f9000000 (32-bit, non-prefetchable)
	I/O ports at b800
	Memory at f8800000 (32-bit, non-prefetchable)
	Capabilities: [dc] Power Management version 2
00: 86 80 29 12 17 00 90 02 08 00 00 02 08 20 00 00
10: 00 00 00 f9 01 b8 00 00 00 00 80 f8 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 11 0e 44 b1
30: 00 00 00 00 dc 00 00 00 00 00 00 00 0a 01 08 38
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 01 00 22 fe
e0: 00 40 00 3a 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:0c.0 VGA compatible controller: Matrox Graphics, Inc. MGA 2164W [Millennium
II] (prog-if 00 [VGA])
	Subsystem: Matrox Graphics, Inc. MGA-2164W Millennium II
	Flags: bus master, medium devsel, latency 32, IRQ 16
	Memory at fa000000 (32-bit, prefetchable)
	Memory at f8000000 (32-bit, non-prefetchable)
	Memory at f7800000 (32-bit, non-prefetchable)
	Expansion ROM at 000c0000 [disabled]
00: 2b 10 1b 05 07 00 80 02 00 00 00 03 00 20 00 00
10: 08 00 00 fa 00 00 00 f8 00 00 80 f7 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 2b 10 1b 05
30: 00 00 0c 00 00 00 00 00 00 00 00 00 0b 01 00 00
40: 00 01 2c 5f 08 3c 00 00 ff 0f 00 ff 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Comment 3 Arjan van de Ven 2001-03-08 13:38:47 EST
I have the exact same systemconfig, and see no corruption at all.
By comparing the lspci output with mine, I found some differences which 
looked suspicious, and created a kernel with a patch to fix those to the
"safe" value. Would you be able/willing to test this kernel?
Comment 4 S. Backhausen 2001-03-08 16:45:30 EST
Of course, feel free to email it, I will try it tomorrow morning (it's late at
night in europe now...)
Comment 5 Arjan van de Ven 2001-03-09 08:01:18 EST
-----  backhaussv@seeg.sharp-eu.com
I just tried it and it didnt destroy anything but it also didnt work at all.
Just after decompressing, the kernel tries to initialize the apic. On the
first boot with your kernel, it said: "APIC-Error on CPU#0 08(08)" followed
by the same line about CPU#1. These message repeated endlessly.
On each following boot it says:
"probable hardware bug: restoring chip configuration
probable hardware bug: clock timer configuration lost - probably a VIA686a
motherboard"
Any ideas?
Comment 6 S. Backhausen 2001-03-09 08:53:59 EST
>Can you add "noapic" to the lilo command/append line ?

Success. It completed booting with the "noapic" option. I don4t see any fs 
corruption (but there wasn4t do much disk io...). I will put some load on the 
machine over the weekend and we4ll see if it4s still alive monday morning.

Thank you for your help.

Sven Backhausen

PS. Are you interested in the dmesg of that machine?
Comment 7 Arjan van de Ven 2001-03-09 09:33:07 EST
If you can attach dmesg, please do so.
Comment 8 S. Backhausen 2001-03-09 10:20:54 EST
Created attachment 12173 [details]
dmesg output
Comment 9 Arjan van de Ven 2001-03-14 05:01:18 EST
Have you seen any more corruption or other weird things ?
If not, I start thinking this problem is now fixed.....
Comment 10 S. Backhausen 2001-03-15 10:16:45 EST
No, just ran e2fsck on the filesystem, it reported no errors. System is up since Saturday and it had heavy disk io on saturday and sunday. 

Thank you for your help.

Sven
Comment 11 Arjan van de Ven 2001-03-15 10:19:37 EST
Marking as fixed then.
Thanks for testing!

Note You need to log in before you can comment on or make changes to this bug.